<bugID>1058442<Summary>sanitize.js should pass the date range being cleared to the permission manager and content pref service</Summary><Description>In order to complete bug 771630, sanitize.js needs to take advantage of the new features added by the dependent bugs and pass the relevant date range to them.

This should be relatively simple - most of the heavy-lifting is done in those other bugs.</Description></bugID>